<template>
    <Popup ref="pop" top="20px" left="calc(100% - 600px)" :title="title" @close="close(true)" width="300px"
        @cancel="close(false)">
        <div  class="infoBox">
            <table>
                <tr cla="infoTr" v-for="item in childObj">
                    <td class="infotd">{{ item.name }}</td>
                    <td class="infotd">:</td>
                    <td class="infotd">{{ item.val }}</td>
                </tr>
            </table>

        </div>

    </Popup>
</template>

<script>
import Popup from '@/components/Tool/Popup.vue';
import store from '@/store';
import { type } from 'jquery';
export default {
    name: 'location',
    components: { Popup },
    data() {
        return {
            title: '详细信息',
            mapInfoOption: [],
        };
    },
    props: {
        childObj: {
            type: Array,
            default: null
        }
    },
    methods: {
        // 关闭弹窗
        close(isCloseBtn, removeLayer = true) {
            //   removeLayer && this.removeImageLayer();
            // 重置data值

            Object.assign(this.$data, this.$options.data());
            !isCloseBtn && this.$refs.pop.close();

        },
        // 打开弹窗
        open() {
            this.close(true);
            this.$refs.pop.open();



            setTimeout(() => {
                console.log(store.getters.mapInfo);
            }, 500);
        },


    },
};
</script>

<style lang="scss" scoped>

.infoBox{
    margin: 10px;
    
}
.infotd{
    min-width: 30px;
    text-align: center;
}
</style>
